Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.protocol.sync
Class SendingSubscribe

    java.lang.Object
      org.teleal.cling.protocol.SendingAsync
          org.teleal.cling.protocol.SendingSync<OutgoingSubscribeRequestMessage,IncomingSubscribeResponseMessage>
              org.teleal.cling.protocol.sync.SendingSubscribe

All Implemented Interfaces:
  Runnable

    public class SendingSubscribe

extends SendingSync<OutgoingSubscribeRequestMessage,IncomingSubscribeResponseMessage>

Establishing a GENA event subscription with a remote host.

Calls the `RemoteGENASubscription.establish()` method if the subscription request was responded to correctly.

The `RemoteGENASubscription.fail(org.teleal.cling.model.message.UpnpResponse)` method will be called if the request failed. No response from the remote host is indicated with a `null` argument value. Note that this is also the response if the subscription has to be aborted early, when no local stream server for callback URL creation is available. This is the case when the local network transport layer is switched off, subscriptions will fail immediately with no response.

Author:
  Christian Bauer

Field Summary
`protected RemoteGENASubscription` | `subscription`

Fields inherited from class org.teleal.cling.protocol.SendingSync
`outputMessage`

Constructor Summary
`SendingSubscribe(UpnpService upnpService, RemoteGENASubscription subscription)`

Method Summary
`protected IncomingSubscribeResponseMessage` | `executeSync()`

Methods inherited from class org.teleal.cling.protocol.SendingSync
`execute, getInputMessage, getOutputMessage, toString`

Methods inherited from class org.teleal.cling.protocol.SendingAsync
`getUpnpService, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### subscription

    protected final RemoteGENASubscription subscription

Constructor Detail

### SendingSubscribe

    public SendingSubscribe(UpnpService upnpService,
                            RemoteGENASubscription subscription)

Method Detail

### executeSync

    protected IncomingSubscribeResponseMessage executeSync()

  Specified by:
    `executeSync` in class `SendingSync<OutgoingSubscribeRequestMessage,IncomingSubscribeResponseMessage>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.